<?php declare(strict_types=1);

namespace Shop\Application\Catalog\UpdateProduct;

class PositionDto
{


    public function __construct(private string $description,
                                private float  $price,
                                private int $remain,
                                private array $sizes
    )
    {
    }

    public function getDescription(): string
    {
        return $this->description;
    }

    public function getPrice(): float
    {
        return $this->price;
    }

    public function getRemain(): int
    {
        return $this->remain;
    }

    public function getSizes(): array
    {
        return $this->sizes;
    }


}